curl \
-X POST \
-H 'Authorization: Bearer TURBO_API_KEY' \
https://api.tur.bo/refund/baddef
<?php
/*
For this request to work please install guzzlehttp:
curl -sS https://getcomposer.org/installer | php
./composer.phar require guzzlehttp/guzzle:^7.0
*/
require 'vendor/autoload.php';
$api_url ='https://api.tur.bo';
$api_path='/refund/baddef';
$api_key ='TURBO_API_KEY';
$headers =array( 'Authorization'=>'Bearer '.$api_key );
try {
$client=new GuzzleHttp\Client( array( 'headers'=> $headers ) );
$json =$client->request(
'POST',
$api_url.$api_path
)->getBody()->getContents();
echo $json;
}
catch( Exception $e ) {
echo 'error = ',$e->getMessage(),"\n";
}
?>
#!/usr/bin/python
import requests
import json
api_url="https://api.tur.bo/refund/baddef"
result=requests.post( api_url,headers={'Authorization':'Bearer TURBO_API_KEY'} )
print( json.dumps( result.json() ) )
#!/usr/bin/env ruby
require 'uri'
require 'net/http'
require 'net/https'
api_url ="https://api.tur.bo/refund/baddef"
api_key ='TURBO_API_KEY'
uri =URI( api_url )
http =Net::HTTP.new( uri.host,uri.port )
http.use_ssl=true
data =''
headers ={
'Authorization'=>"Bearer #{api_key}"
}
result=http.post( uri.path,data,headers )
puts result.body
{
"error": false,
"msg": "OK"
}
| JSON response object |
| Key |
Value |
| error |
true or false depending on if an error has occurred in the API request |
| msg |
OK if all is well, otherwise will include descriptive error text |